## ispell-lt 1.0

=== Makefile ===
#
#  Makefile for Lithuanian ispell dictionary
#
#  Copyright (C) 2000-2002 Albertas Agejevas
#

SORTWORDS =	\
	lietuviu.zodziai \
	lietuviu.jargon	\
	lietuviu.vardai	\
	lietuviu.veiksmazodziai\
	lietuviu.ivpk

WORDS =	\
	$(SORTWORDS)	\
	lietuviu.ivairus

installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`

all: lietuviu.hash myspell

myspell: lt_LT.dic lt_LT.aff

lt_LT.dic: lietuviu.dict
	wc -l < lietuviu.dict | tr -d ' ' > lt_LT.dic
	cat lietuviu.dict >> lt_LT.dic

lt_LT.aff: lietuviu.aff
	tools/ispell2myspell.py lietuviu.aff > lt_LT.aff

lietuviu.dict: $(WORDS)
	cat  $(WORDS) | \
	grep -v '^[[:space:]]*#\|^[[:space:]]*$$\|XXX' | \
	sed -e 's/\#.*//' | \
	sort -u | tools/sutrauka.py > lietuviu.dict

lietuviu.hash: lietuviu.dict lietuviu.aff
	buildhash lietuviu.dict lietuviu.aff lietuviu.hash

sort:
	test -n "$$LC_COLLATE" -a "$$LC_COLLATE" != "C"
	for file in $(SORTWORDS) ; do \
		sort -u $$file > tmp-$$file; \
		mv tmp-$$file $$file; \
	done

clean:
	rm -f lietuviu.dict.stat lietuviu.dict.cnt lietuviu.hash lietuviu.dict \
	lt_LT.aff lt_LT.dic

install: lietuviu.hash
	install -c -g 0 -o 0 -m 0644 lietuviu.hash $(installdir)
	install -c -g 0 -o 0 -m 0644 lietuviu.aff $(installdir)

=== aspell/Makefile ===
#
#   Komand, kurios sukuria odynus, apraymas
#
# $Id: Makefile,v 1.4 2003/05/08 09:53:54 tokul Exp $
#
all:
	cat ../lietuviu.ivairus | grep -v ^# | ispell -e \
	    -d ../lietuviu > ivairus.aspell
	cat ivairus.aspell | aspell --local-data-dir=./ \
	    --lang=lt create master ./lt.ivairus.rws
	cat ../lietuviu.jargon | grep -v ^# | ispell -e \
	    -d ../lietuviu > jargon.aspell
	cat jargon.aspell | aspell --local-data-dir=./ \
	    --lang=lt create master ./lt.jargon.rws
	cat ../lietuviu.zodziai | grep -v ^# | ispell -e \
	    -d ../lietuviu > zodziai.aspell
	cat zodziai.aspell | aspell --local-data-dir=./ \
	    --lang=lt create master ./lt.zodziai.rws
	cat ../lietuviu.vardai | grep -v ^#  | ispell -e \
	    -d ../lietuviu > vardai.aspell
	cat vardai.aspell | aspell --local-data-dir=./ \
	    --lang=lt create master ./lt.vardai.rws
#	cat ../lietuviu.veiksmazodziai | grep -v ^# | ispell -e \
#	    -d ../lietuviu > veiksmazodziai.aspell
#	cat veiksmazodziai.aspell | aspell --local-data-dir=./ \
#	    --lang=lt create master ./lt.veiksmazodziai.rws

install:
	echo "Reikia pataisyti"

clean:
	rm -f *.aspell *.rws

=== mozilla/Makefile ===
all:
	install -d bin/components/myspell
	cp ../lt_LT.aff bin/components/myspell/lt.aff
	cp ../lt_LT.dic bin/components/myspell/lt.dic
	zip lt.zip bin/components/myspell/lt.*
	zip lt.zip license/*
	zip lt.zip install.js
	mv lt.zip lt.xpi

install:
	echo "This does nothing"

clean:
	rm -f *.xpi bin/components/myspell/lt.*

## ispell-lt 1.1

=== Makefile ===
--- 
+++ 
@@ -4,14 +4,18 @@
 #  Copyright (C) 2000-2002 Albertas Agejevas
 #
 
-SORTWORDS =	\
+VERSION=1.1
+#+cvs`date -u +%Y%m%d`
+DATE=`date -u +%Y\-%m\-%d`
+
+SORTWORDS = \
 	lietuviu.zodziai \
 	lietuviu.jargon	\
 	lietuviu.vardai	\
-	lietuviu.veiksmazodziai\
+	lietuviu.veiksmazodziai \
 	lietuviu.ivpk
 
-WORDS =	\
+WORDS = \
 	$(SORTWORDS)	\
 	lietuviu.ivairus
 
@@ -46,8 +50,51 @@
 
 clean:
 	rm -f lietuviu.dict.stat lietuviu.dict.cnt lietuviu.hash lietuviu.dict \
-	lt_LT.aff lt_LT.dic
+	lt_LT.aff lt_LT.dic *.tar.gz *.zip  *.tar.bz2\
+	aspell/lt.wl aspell/lt.cwl aspell/lt_affix.dat
+#	$(MAKE) -C aspell distclean
+	rm -f aspell/Makefile aspell/lt.rws
 
 install: lietuviu.hash
 	install -c -g 0 -o 0 -m 0644 lietuviu.hash $(installdir)
 	install -c -g 0 -o 0 -m 0644 lietuviu.aff $(installdir)
+
+aspell: myspell
+	cp lt_LT.aff aspell/lt_affix.dat
+	cd aspell; ./configure
+	cp lietuviu.dict aspell/lt.wl
+	$(MAKE) -C aspell lt.rws
+
+dist-src: 
+	mkdir ispell-lt-$(VERSION)
+	mkdir ispell-lt-$(VERSION)/tools
+	mkdir ispell-lt-$(VERSION)/aspell
+	for file in `cat MANIFEST` ; do \
+		cp $$file ispell-lt-$(VERSION)/$$file; \
+	done
+	tar zcvf ispell-lt-$(VERSION).tar.gz ispell-lt-$(VERSION)
+	rm -rf ispell-lt-$(VERSION)
+
+dist-myspell: myspell
+	mkdir lt_LT-$(VERSION)
+	cp lt_LT.dic lt_LT.aff README.EN  INSTRUKCIJOS.txt lt_LT-$(VERSION)
+	echo "DICT lt LT lt_LT" > lt_LT-$(VERSION)/dictionary.lst
+	zip -r lt_LT-$(VERSION).zip lt_LT-$(VERSION)
+	rm -rf lt_LT-$(VERSION)
+
+dist-aspell: aspell
+	echo "s/^version = .*-/version = "$(VERSION)"-/" > tmp.sed
+	sed -f tmp.sed aspell/Makefile.pre > tempfile
+	cp tempfile aspell/Makefile.pre
+	sed -f tmp.sed aspell/Makefile > tempfile
+	cp tempfile aspell/Makefile
+	echo "s/^Version .*-/Version "$(VERSION)"-/" > tmp.sed
+	echo "s/^20.*-.*-.*/"$(DATE)"/" >> tmp.sed
+	sed -f tmp.sed aspell/README > tempfile
+	cp tempfile aspell/README
+	rm -f tempfile tmp.sed
+	$(MAKE) -C aspell dist-nogen
+	mv aspell/*.tar.bz2 ./
+
+dists: dist-myspell dist-aspell dist-src 
+

## ispell-lt 1.1+cvs20050806

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,7 @@
 #  Copyright (C) 2000-2002 Albertas Agejevas
 #
 
-VERSION=1.1
-#+cvs`date -u +%Y%m%d`
+VERSION=1.1+cvs`date -u +%Y%m%d`
 DATE=`date -u +%Y\-%m\-%d`
 
 SORTWORDS = \
@@ -22,6 +21,8 @@
 installdir=`ispell -vv | grep LIBDIR | cut -d'"' -f2`
 
 all: lietuviu.hash myspell
+
+utf8: liet-utf8.hash
 
 myspell: lt_LT.dic lt_LT.aff
 
@@ -40,6 +41,15 @@
 
 lietuviu.hash: lietuviu.dict lietuviu.aff
 	buildhash lietuviu.dict lietuviu.aff lietuviu.hash
+
+liet-utf8.dict: lietuviu.dict
+	iconv -f ISO-8859-13 -t UTF-8 $< > $@
+
+liet-utf8.aff: lietuviu.aff
+	iconv -f ISO-8859-13 -t UTF-8 $< > $@
+
+liet-utf8.hash: liet-utf8.dict liet-utf8.aff
+	buildhash $^ $@
 
 sort:
 	test -n "$$LC_COLLATE" -a "$$LC_COLLATE" != "C"

## ispell-lt 1.1+cvs20060122

=== Makefile ===
--- 
+++ 
@@ -60,17 +60,18 @@
 
 clean:
 	rm -f lietuviu.dict.stat lietuviu.dict.cnt lietuviu.hash lietuviu.dict \
-	lt_LT.aff lt_LT.dic *.tar.gz *.zip  *.tar.bz2\
-	aspell/lt.wl aspell/lt.cwl aspell/lt_affix.dat
-#	$(MAKE) -C aspell distclean
-	rm -f aspell/Makefile aspell/lt.rws
+	lt_LT.aff lt_LT.dic *.tar.gz *.zip  *.tar.bz2 \
+	aspell/lt.wl aspell/lt.cwl aspell/lt_affix.dat aspell/lt.rws \
+	aspell/README aspell/configure aspell/Makefile aspell/Makefile.pre \
+	aspell/lt.multi aspell/lietuviu.alias aspell/lithuanian.alias
 
 install: lietuviu.hash
 	install -c -g 0 -o 0 -m 0644 lietuviu.hash $(installdir)
 	install -c -g 0 -o 0 -m 0644 lietuviu.aff $(installdir)
 
-aspell: myspell
+aspell: lietuviu.dict lt_LT.aff
 	cp lt_LT.aff aspell/lt_affix.dat
+	cd aspell; ../tools/proc
 	cd aspell; ./configure
 	cp lietuviu.dict aspell/lt.wl
 	$(MAKE) -C aspell lt.rws
@@ -79,6 +80,8 @@
 	mkdir ispell-lt-$(VERSION)
 	mkdir ispell-lt-$(VERSION)/tools
 	mkdir ispell-lt-$(VERSION)/aspell
+	mkdir ispell-lt-$(VERSION)/aspell/doc
+	mkdir ispell-lt-$(VERSION)/hyph
 	for file in `cat MANIFEST` ; do \
 		cp $$file ispell-lt-$(VERSION)/$$file; \
 	done
@@ -92,19 +95,22 @@
 	zip -r lt_LT-$(VERSION).zip lt_LT-$(VERSION)
 	rm -rf lt_LT-$(VERSION)
 
-dist-aspell: aspell
-	echo "s/^version = .*-/version = "$(VERSION)"-/" > tmp.sed
-	sed -f tmp.sed aspell/Makefile.pre > tempfile
-	cp tempfile aspell/Makefile.pre
-	sed -f tmp.sed aspell/Makefile > tempfile
-	cp tempfile aspell/Makefile
-	echo "s/^Version .*-/Version "$(VERSION)"-/" > tmp.sed
-	echo "s/^20.*-.*-.*/"$(DATE)"/" >> tmp.sed
-	sed -f tmp.sed aspell/README > tempfile
-	cp tempfile aspell/README
-	rm -f tempfile tmp.sed
-	$(MAKE) -C aspell dist-nogen
-	mv aspell/*.tar.bz2 ./
+dist-aspell: clean aspell
+	echo "s/^version .*-/version "$(VERSION)"-/" > tmp.tmp
+	echo "s/^source-version .*/source-version "$(VERSION)"/" >> tmp.tmp
+	sed 's/+cvs/.cvs/g' tmp.tmp > tmp.sed
+	sed -f tmp.sed aspell/info > aspell/tmp.info
+	cp aspell/tmp.info aspell/info
+	rm -f tmp.* aspell/tmp.info
+	mkdir aspell-dist
+	cp -fr aspell/* aspell-dist
+	rm -rf aspell-dist/CVS aspell-dist/doc/CVS
+	$(MAKE) -C aspell-dist dist-nogen
+	mv aspell-dist/*.tar.bz2 ./
+	rm -rf aspell-dist
 
-dists: dist-myspell dist-aspell dist-src 
+dist-hyph:
+	zip -Dj hyph_lt_LT.zip hyph/hyph_lt_LT.dic hyph/README_hyph_lt_LT.txt
 
+dists: dist-aspell dist-myspell dist-src dist-hyph 
+

## ispell-lt 1.1+cvs20060719

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,8 @@
 #  Copyright (C) 2000-2002 Albertas Agejevas
 #
 
-VERSION=1.1+cvs`date -u +%Y%m%d`
+VERSION=1.1+cvs20060719
+#`date -u +%Y%m%d`
 DATE=`date -u +%Y\-%m\-%d`
 
 SORTWORDS = \

## ispell-lt 1.2.1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 #  Copyright (C) 2000-2002 Albertas Agejevas
 #
 
-VERSION=1.1+cvs20060719
-#`date -u +%Y%m%d`
+VERSION=1.2.1
+#+cvs`date -u +%Y%m%d`
 DATE=`date -u +%Y\-%m\-%d`
 
 SORTWORDS = \

=== debian/changelog ===
ispell-lt (1.2.1-5) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #778263)

 -- Chris Lamb <lamby@debian.org>  Sun, 08 Nov 2015 17:28:03 +0000

ispell-lt (1.2.1-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group (see #704968).
  * Merge from Ubuntu (Martin Pitt):
    - debian/control: Update oo.o dependencies to their libo equivalents
      (part of #617569).

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Aug 2013 12:17:03 +0100

ispell-lt (1.2.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use installdeb-* auto-compat feature to avoid modification of
    placeholders shipped under /var by maintainer scripts
    (Closes: #638730,#689684).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 05 Oct 2012 12:25:10 +0200

ispell-lt (1.2.1-3) unstable; urgency=low

  * Switched to 3.0 (quilt) source format. As a consequence, no longer
    build-depend on quilt and removed the file README.source.
  * switched to debhelper v7.
  * debian/patches:
    - added the patch 003_bzr20091228.diff for upgrade to the current
      upstream VCS status;
    - removed the patch 002_add_words.diff -- adapted by upstream and now 
      these changes are in the above-mentioned patch;
    - added the patch 004_remove_long_affix.diff for removing the ispell
      warning about exceeded the affix length.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 26 Dec 2009 01:32:15 +0200

ispell-lt (1.2.1-2) unstable; urgency=low

  * debian/control:
    - bumped Standards-Version to 3.8.3. No changes required;
    - added DM-Upload-Allowed: yes;
    - only recommend openoffice.org (>= 1.1.4) | openoffice.org-writer
      for openoffice.org-hyphenation-lt;
    - added Build-Depends on quilt for manage a patches. Correspondingly
      changed the file debian/rules and added the directory debian/patches.
      Also added a file README.source.
  * debian/rules:
    - refused to use installdeb-myspell command for mayspell-lt and
      openoffice.org-hyphenation-lt packages;
    - moved the hyphenation patterns to /usr/share/hyphen and created
      compat symlinks from /usr/share/myspell/dicts (Closes: #541903);
    - moved the myspell-lt dict to /usr/share/hunspell and added
      compatibility symlinks from /usr/share/myspell/dicts (Closes: #541924).  
  * debian/patches: added the patches 001_fix_sutrauka.diff and
    002_add_words.diff. These are the changes made in earlier revisions.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Mon, 17 Aug 2009 22:48:13 +0300

ispell-lt (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bumped Standards-Version to 3.7.3. No changes required.
    - made build depend on dictionaries-common-dev (>=0.95).
    - use debhelper (>> 6.0.0).
  * Move reconfigure compat initialization from config to postinst.
    debian/aspell-lt.overrides and ilithuanian.override is no longer needed.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 14 Feb 2008 11:55:51 +0200

ispell-lt (1.1+cvs20060719-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * debian/myspell-lt.links: added this new file to add lt.{dic,aff}->
    lt_LT.{dic,aff} symlinks for Mozilla benefit (Closes: #373747).
  * debian/compat: use DH_COMPAT 5
  * debian/control:
    - changed Build-Depends on debhelper (>= 5.0.0).
    - bumped Standards-Version to 3.7.2. No changes required.
  * debian/rules: added the binary-arch target (Closes: #395604).
    Thanks to Aurelien Jarno <aurel32@debian.org>.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 31 Oct 2006 22:06:04 +0200

ispell-lt (1.1+cvs20060122-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Added the hyphenation pattern package generation:
    - debian/control: added new binary package openoffice.org-hyphenation-lt.
    - added files debian/openoffice.org-hyphenation-lt.{dirs,docs,install,
      info-myspell,}.
    - debian/copyright: added part about the Lithuanian hyphenation patterns
      copyright and license.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 22 Jan 2006 18:50:58 +0200

ispell-lt (1.1+cvs20050806-1) unstable; urgency=low

  * New upstream CVS snapshot.
  * Modified to use aspell-autobuildhash and aspell (>= 0.60.3-2):
    - debian/control:
      · aspell-lt is now arch: all, provides aspell-dictionary and
        depends on dictionaries-common (>= 0.40) and 
        aspell (>= 0.60.3-2).
      · Bumped Standards-Version to 3.6.2 (no changes required).
      · Removed suggestion for aspell-bin.
      · Added dependency alternative to debconf for ilithuanian
        package.
    - debian/aspell-lt.{dirs,links}
      · Changed aspell lib/data dir to /usr/lib/aspell.
    - debian/rules:
      · Adapted for aspell-autobuildhash.
      · Moved aspell-lt to the binary-indep target.
      · Changed aspell lib/data dir to /usr/lib/aspell
      · Removed compat definition and migrated as '4' to
        debian/compat file. Bumped debhelper Build Dependency to >> 4. 
   - debian/aspell-lt.config:
      · Make sure hashes are committed for rebuilding when package
        is reconfigured.
  * Added debian/aspell-lt.linda-override, debian/aspell-lt.lintaian-override
    and debian/ilithuanian.linda-override files. Accordingly revised the
    debian/aspell-lt.dirs, debian/ilithuanian.dirs and debian/rules files.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat,  6 Aug 2005 13:40:24 +0300

ispell-lt (1.1-4) unstable; urgency=low

  * Added aspell dictionary package generation:
    - debian/control: made ispell-lt Build-Depends on aspell-bin (>> 0.60) and
      added new binary package aspell-lt.
    - added files debian/aspell-lt.{docs,info-aspell,install}.
    - debian/rules: added target binary-arch for aspell-lt package.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 22 Jan 2005 00:34:29 +0200

ispell-lt (1.1-3) unstable; urgency=low

  * debian/rules: adedd an "export" on the line setting LOCPATH and LC_ALL.


=== debian/control ===
Source: ispell-lt
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Dm-Upload-Allowed: yes
Build-Depends: debhelper (>> 7.0.0)
Build-Depends-Indep: locales, dictionaries-common-dev (>= 1.11.2), ispell, python (>=2.3), aspell (>= 0.60.3-2)
Standards-Version: 3.8.3

Package: ilithuanian
Architecture: all
Depends: ${misc:Depends}, ispell, dictionaries-common (>=0.25), debconf (>=0.5) | debconf-2.0
Conflicts: ispell (<<3.1.18-2)
Provides: ispell-dictionary
Description: ispell dictionary for Lithuanian (LT)  
 This is the Lithuanian dictionary, to be used with ispell
 to check and correct spelling in Lithuanian texts.

Package: myspell-lt
Architecture: all
Conflicts: openoffice.org (<= 1.0.3-2)
Depends: ${misc:Depends}, dictionaries-common (>= 0.10) | openoffice.org-updatedicts
Provides: myspell-dictionary, myspell-dictionary-lt
Description: myspell dictionary for Lithuanian (LT) 
 This is the Lithuanian dictionary for  use with the myspell
 spellchecker which is currently used within OpenOffice.org
 and the mozilla spellchecker.

Package: aspell-lt
Architecture: all
Depends: ${misc:Depends}, dictionaries-common (>= 0.50), aspell (>= 0.60.3-2)
Provides: aspell-dictionary
Description: aspell dictionary for Lithuanian (LT)
 This package contains all the required files to add support for Lithuanian
 language to the GNU Aspell spell checker.

Package: openoffice.org-hyphenation-lt
Architecture: all
Depends: ${misc:Depends}, dictionaries-common (>= 0.10) | openoffice.org-updatedicts
Recommends: libreoffice-writer
Provides: openoffice.org-hyphenation, hyphen-hyphenation-patterns, hyphen-hyphenation-patterns-lt
Description: Lithuanian hyphenation pattern for OpenOffice.org
 This is the Lithuanian hyphenation pattern for use with OpenOffice.org

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

build: build-stamp
build-stamp:
	dh_testdir

	mkdir -p debian/tmpdir/usr/lib/locale
	localedef -i "lt_LT" -f "ISO-8859-13" "debian/tmpdir/usr/lib/locale/lt_LT.ISO-8859-13"
	# Using the locale
	(export LOCPATH=debian/tmpdir/usr/lib/locale; export LC_ALL=lt_LT.ISO-8859-13; $(MAKE) myspell)

	gzip -cn lietuviu.dict > lietuviu.mwl.gz

	cp lietuviu.dict lt.wl
	prezip lt.wl
	gzip -n lt.cwl

	$(MAKE) aspell

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

	-rm lietuviu.mwl.gz
	rm -rf debian/tmpdir
	rm -f lt.cwl.gz

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

	install -m 644 lietuviu.mwl.gz $(CURDIR)/debian/ilithuanian/usr/share/ispell

	install -m 644 lt_LT.aff $(CURDIR)/debian/aspell-lt/usr/lib/aspell/lt_affix.dat

	installdeb-ispell -pilithuanian

#	installdeb-myspell --srcdir=$(CURDIR) -pmyspell-lt
	cp debian/myspell-lt.info-myspell $(CURDIR)/debian/myspell-lt/usr/share/myspell/infos/ooo/myspell-lt

#	installdeb-myspell -popenoffice.org-hyphenation-lt
	mkdir -p $(CURDIR)/debian/openoffice.org-hyphenation-lt/usr/share/myspell/infos/ooo
	install -m644 debian/openoffice.org-hyphenation-lt.dictlistinfo \
		$(CURDIR)/debian/openoffice.org-hyphenation-lt/usr/share/myspell/infos/ooo/openoffice.org-hyphenation-lt

	installdeb-aspell   -paspell-lt
	dh_installdebconf -paspell-lt

binary-arch:

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs

	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep
.PHONY: build clean binary binary-indep binary-arch install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more. 
# format version number, currently 2; this line is compulsory!
version=2
# Site		Directory		Pattern			Version	Script
ftp://ftp.akl.lt/ispell-lt/ispell-lt-(.*)\.tar\.gz	debian	uupdate

## ispell-lt 1.3.2

=== debian/changelog ===
ispell-lt (1.3.2-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Wed, 05 Nov 2025 18:03:52 -0300

ispell-lt (1.3.2-4) experimental; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Rodrigo Augusto Antunes dos Santos <rsantos.2003@alunos.utfpr.edu.br>  Wed, 28 May 2025 18:15:57 -0300

ispell-lt (1.3.2-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + ilithuanian: Drop versioned constraint on debconf in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:23:19 +0100

ispell-lt (1.3.2-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:18:59 +0100

ispell-lt (1.3.2-1) unstable; urgency=medium

  * QA upload.

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * watch:
    + use file format 4
    + track Github source (see bug#936753)
    + use regex patterns
    + rewrite usage comment
  * track source in debian group on salsa.d.o,
    using git-buildpackage
  * build-depend on python3 (not python);
    closes: bug#936753, #967148,
    thanks to Matthias Klose and Rimas Kudelis
  * drop all patches: no longer apply
  * simplify build, and adapt to upstream changes
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * set Rules-Requires-Root: no
  * relax to (build-)depend unversioned
    on aspell dictionaries-common(-dev):
    needed versions satisfied even in oldstable
  * drop obsolete conflict on ispell
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Sep 2020 19:25:52 +0200

ispell-lt (1.2.1-8) unstable; urgency=medium

  * QA upload.
  * Drop transitional packages openoffice.org-hyphenation-lt
    and myspell-lt. (Closes: #874756)
  * Use maximum gzip compression for lt.cwl.gz and lietuviu.mwl.gz.
    (LP: #73307)

 -- Adrian Bunk <bunk@debian.org>  Wed, 27 Sep 2017 17:58:40 +0300

ispell-lt (1.2.1-7) unstable; urgency=medium

  * QA upload.
  * d/control:
    + Build-Conflicts on locales-all, so it can build on reproducible-builds
      infra, that installs locales-all on their chroot, and locales is
      provieded by it, even if it doesn't really provide everything.
    + Merge Build-Depends-Indep in Build-Depends: no need to split, only
      binary-indep binaries are built.
  * Bump debhelper compat level to 9.
  * d/rules:
    + rewrite using the dh sequencer.
  * Run wrap-and-sort -ast.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 15 May 2016 17:03:16 +0000

ispell-lt (1.2.1-6) unstable; urgency=medium

  * QA upload.
  * d/control:
    + Remove obsolete field DM-Upload-Allowed.
    + Make myspell-lt a transitional package to hunspell-lt provided by
      src:libreoffice-dictionaries.
    + Make openoffice.org-hyphenation-lt a transitional package to hyphen-lt
      provided by src:libreoffice-dictionaries.
      Closes: #617569, #768277, #824401
  * d/rules:
    + Stop installing files in the now transitional-only packages.
    + Add missing build-arch and build-indep targets.
  * openoffice.org-hyphenation-lt.*: remove as now pointless.
  * myspell-lt.*: remove as now pointless.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 15 May 2016 14:45:18 +0000

=== debian/control ===
Source: ispell-lt
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 aspell,
 debhelper-compat (= 13),
 dictionaries-common-dev,
 ispell,
 locales,
 python3,
Build-Conflicts:
 locales-all,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/ispell-lt
Vcs-Git: https://salsa.debian.org/debian/ispell-lt.git
Rules-Requires-Root: no

Package: ilithuanian
Architecture: all
Depends:
 debconf | debconf-2.0,
 dictionaries-common,
 ispell,
 ${ispell:Depends},
 ${misc:Depends},
 ${perl:Depends},
Provides:
 ispell-dictionary,
Description: ispell dictionary for Lithuanian (LT)
 This is the Lithuanian dictionary, to be used with ispell
 to check and correct spelling in Lithuanian texts.

Package: aspell-lt
Architecture: all
Depends:
 aspell,
 dictionaries-common,
 ${aspell:Depends},
 ${misc:Depends},
Provides:
 aspell-dictionary,
Description: aspell dictionary for Lithuanian (LT)
 This package contains all the required files to add support for Lithuanian
 language to the GNU Aspell spell checker.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# build myspell data under specific locale, needed to properly sort
override_dh_auto_build:
	mkdir -p debian/locale
	localedef -i lt_LT -f ISO-8859-13 debian/tmp_locale
	LOCPATH=debian/locale LC_ALL=lt_LT.ISO-8859-13 $(MAKE) myspell

	gzip -cn9 lietuviu.dict > lietuviu.mwl.gz
	cp lietuviu.dict lt.wl
	prezip lt.wl
	gzip -n9 lt.cwl

	$(MAKE) aspell

override_dh_auto_install:
override_dh_install:
	dh_install

	installdeb-ispell -pilithuanian
	installdeb-aspell -paspell-lt

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/ilithuanian/usr/lib/ispell/lietuviu.aff

=== debian/tests/control ===
Test-Command: echo "Žodiss" | aspell --lang=lt -a | grep "&"
Restrictions: superficial
